#popup-login,
#popup-signup,
#popup-password-reset {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    visibility: hidden;
    display: none;
    z-index: 1000;
}

#popup-login.active,
#popup-signup.active,
#popup-password-reset.active {
    visibility: visible;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 99;
    animation: fadeIn .5s;
}

body:has(#popup-login.active),
body:has(#popup-signup.active),
body:has(#popup-password-reset.active) {
    overflow: hidden;
}

#popup-login.active .popup-container,
#popup-signup.active .popup-container,
#popup-password-reset.active .popup-container {
    min-width: 350px;
    display: flex;
    flex-flow: column;
    justify-content: flex-start;
    align-items: center;
    background-color: #ffffff;
    border-radius: .2rem;
}

#popup-login.active .popup-container .popup-login.header,
#popup-signup.active .popup-container .popup-signup.header,
#popup-password-reset.active .popup-container .popup-password-reset.header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: .5rem;
    font-weight: 900;
    padding: 1rem;
text-transform: uppercase;
border-radius: .2rem .2rem 0 0;
padding: 1rem;
    padding-bottom: 1rem;
  border-bottom: 1px dashed #000;
  padding-bottom: .5rem;
}

#popup-login.active .popup-container .popup-login.body,
#popup-signup.active .popup-container .popup-signup.body,
#popup-password-reset.active .popup-container .popup-password-reset.body {
    width: 100%;
    display: flex;
    flex-flow: column;
    justify-content: flex-start;
    align-items: center;
    gap: 2rem;
    padding: 1rem;
}
.popup-login-all {
    width: 100%;
    display: flex;
    flex-direction: column;
}
.popup-login-all .popup-login-cont{
    width: 100%;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}
.popup-login-img{
    display: none;
}
.popup-login-img img{
border-radius: .2rem;
object-fit: cover;
  vertical-align: middle;
  height: 100%;
  width: 100%;
}
.popup-login-all h5{
font-size: 1.2rem;
text-align: center;
  margin-bottom: .5rem;
}
@media (min-width: 1024px) {
    .popup-login-all .popup-login-cont{
        flex-direction: row;
    }
    .popup-login-img{
        height: auto;
        display: block;
    }
    .popup-login-img img{
        height: auto;
        width: auto;
        max-width: 300px;
    }
}

.body__row-input{
    width: 100%;
}

#popup-login input,
#popup-signup select,
#popup-password-reset textarea{
    padding: .8rem 1.2rem;
    border-radius: .2rem;
    border: 1px solid #bbb;
    font-family: inherit;
    font-size: 1rem;
    width: 100%;
}

#popup-login a,
#popup-signup a,
#popup-password-reset a{
    cursor: pointer;
}

#popup-login.active .popup-container .popup-login.body .authentication-sources-list {
    width: 100%;
    height: max-content;
    display: flex;
    flex-flow: column;
    justify-content: space-between;
    align-items: center;
    gap:.5rem;
}
#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: .2rem;
    width: 100%;
    padding: .5rem 0;
    font-size: 1.2rem;
}
#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item a {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.3rem 0;
    margin-left: 40px;
  margin-right: 10px;
}
#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.google {
    border: 1px solid #bbb;
}
#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.google:before {
    width: 1.5rem;
    height: 1.5rem;

    display: flex;
    justify-content: center;
    align-items: center;

    position: absolute;
    content: '';

    background-image: url("../images/utils/google-icon-_PncOQw.svg");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;

    left: 0.5rem;
}

#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.google a,
#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.amazon a,
#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.linkedin a {
    color: #000000;
}
#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.facebook a,
#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.microsoft a {
    color: #000;
}

#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.facebook {
    border: 1px solid #bbb;
    background-color: #fff;
}
#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.facebook:before {
    width: 1.5rem;
    height: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    content: '';
    background-image: url("../images/social/facebook-RFk3jBl.svg");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    left: 0.5rem;
    border-radius: .2rem;
}

#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.amazon:before {
    width: 1.5rem;
    height: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    content: '';
    background-image: url("../images/utils/amazon-icon-PgW9_4r.svg");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    left: 0.5rem;
    border-radius: .2rem;
}

#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.amazon {
    border: 1px solid #bbb;
    background-color: #fff;
}
#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.linkedin {
    border: 1px solid #006db0;
    background-color: #006db0;
}
#popup-login.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.microsoft {
    border: 1px solid #737373;
    background-color: #737373;
}

#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list {
   width: 100%;
   height: max-content;
   display: flex;
   flex-flow: column;
   justify-content: space-between;
   align-items: center;
}
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 0.5rem;
    border-radius: 3px;
}
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item a {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.3rem 0;

    font-weight: 400;
}
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.google {
    border: 1px solid #bbb;
}
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.google:before {
    width: 1.5rem;
    height: 1.5rem;

    display: flex;
    justify-content: center;
    align-items: center;

    position: absolute;
    content: '';

    background-image: url("../images/utils/google-icon-_PncOQw.svg");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;

    left: 0.5rem;
}

#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.google a,
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.amazon a,
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.linkedin a {
    color: #000000;
}
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.facebook a,
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.microsoft a {
    color: #ffffff;
}

#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.facebook {
    border: 1px solid #bbb;
    background-color: #fff;
}
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.facebook:before {
    width: 1rem;
    height: 1rem;

    display: flex;
    justify-content: center;
    align-items: center;

    position: absolute;
    content: '';

    background-image: url("../images/utils/facebook-icon-q_exaEM.png");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;

    left: 0.5rem;
}

#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.amazon {
    border: 1px solid #bbb;
    background-color: #fff;
}
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.linkedin {
    border: 1px solid #bbb;
    background-color: #fff;
}
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.microsoft {
    border: 1px solid #bbb;
    background-color: #fff;
}

#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.google:hover {
    background-color: lightgrey;
}
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.facebook:hover {
    background-color: rgba(66, 103, 178, 0.7);
}
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.amazon:hover {
    background-color: rgba(255, 153, 0, 0.7);
}
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.linkedin:hover {
    background-color: rgba(0, 109, 176, 0.7);
}
#popup-password-reset.active .popup-container .popup-login.body .authentication-sources-list .authentication-source-list__item.microsoft:hover {
    background-color: rgba(115, 115, 115, 0.7);
}

#popup-login.active .popup-container .popup-login.body .auth-login,
#popup-signup.active .popup-container .popup-signup.body .auth-signup,
#popup-password-reset.active .popup-container .popup-password-reset.body .auth-signup {
    width: 100%;
    height: max-content;
}
#popup-login.active .popup-container .popup-login.body .auth-login .body__row,
#popup-signup.active .popup-container .popup-signup.body .auth-signup .body__row,
#popup-password-reset.active .popup-container .popup-password-reset.body .auth-signup .body__row {
    width: 100%;
    height: max-content;

    display: flex;
    flex-flow: column;
    justify-content: flex-start;
    align-items: flex-start;

    margin-bottom: 1rem;
}
#popup-login.active .popup-container .popup-login.body .auth-login .body__row .body__row-label,
#popup-signup.active .popup-container .popup-signup.body .auth-signup .body__row .body__row-label,
#popup-password-reset.active .popup-container .popup-password-reset.body .auth-signup .body__row .body__row-label {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#popup-login.active .popup-container .popup-login.body .auth-login .body__row .body__row-label.error label,
#popup-signup.active .popup-container .popup-signup.body .auth-signup .body__row .body__row-label.error label,
#popup-password-reset.active .popup-container .popup-password-reset.body .auth-signup .body__row .body__row-label.error label {
    color: red;
}


#popup-login.active .popup-container .popup-login.body .auth-login .body__row:last-child .submit_btn,
#popup-signup.active .popup-container .popup-signup.body .auth-signup .body__row:last-child .submit_btn,
#popup-password-reset.active .popup-container .popup-password-reset.body .auth-signup .body__row:last-child .submit_btn {
    width: 100%;
}
#popup-login.active .popup-container .popup-login.body .auth-login .body__row:last-child,
#popup-signup.active .popup-container .popup-signup.body .auth-signup .body__row:last-child,
#popup-password-reset.active .popup-container .popup-password-reset.body .auth-signup .body__row:last-child {
    margin-bottom: 0;
}

#popup-login.active .popup-container .popup-login.footer,
#popup-signup.active .popup-container .popup-signup.footer,
#popup-password-reset.active .popup-container .popup-password-reset.footer {
    display: flex;
    justify-content: center;
    align-items: center;

    margin: 1rem 0;
}
#popup-login.active .popup-container .popup-login.footer p,
#popup-signup.active .popup-container .popup-signup.footer p,
#popup-password-reset.active .popup-container .popup-password-reset.footer p {
    margin-right: 0.5rem;
}
#popup-login.active .popup-container .popup-login.footer a:first-letter,
#popup-signup.active .popup-container .popup-signup.footer a:first-letter,
#popup-password-reset.active .popup-container .popup-password-reset.footer a:first-letter {
    text-transform: capitalize;
}

a.cross {
    position: relative;
    width: 1.5rem;
    height: 1.5rem;

    display: flex;
    justify-content: center;
    align-items: center;
}
a.cross:before,
a.cross:after {
    position: absolute;
    left: 15px;
    content: ' ';
    height: 15px;
    width: 1px;
    background-color: #2d2d2d;
}
a.cross:before {
    transform: rotate(45deg);
}
a.cross:after {
    transform: rotate(-45deg);
}

#popup-login.active .alert,
#popup-signup.active .alert,
#popup-password-reset.active .alert {
    display: none;
}

#popup-login.active .alert.danger,
#popup-signup.active .alert.danger,
#popup-password-reset.active .alert.danger {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #721c24;
    background-color: #e80000;
    position: relative;
    padding: 0.75rem 1.25rem;
    margin-bottom: 1rem;
    border: 1px solid #e80000;
    color:#fff;
    font-weight: 900;
}

button[type=submit]:disabled {
    background-color: #ff600052;
}
button[type=submit]:disabled:hover {
    cursor: default;
}

.body__row-input input{
    padding: .8rem 1.2rem;
    border-radius: .2rem;
    border: 1px solid #bbb;
    font-family: inherit;
    font-size: 1rem;
    width: 100%;
}